Subject: Alpine AARCH64 on the Solid Run MACCHIATObin

From: Damian Gerow <[email-masked]>
Date: Sat, 23 Nov 2019 02:59:37 -0500

I've been trying to get Alpine up and running on these fun boards for a
while, but there's been some custom kernel patches that have been required
to have a functional system (read: the NICs haven't worked).

Well, in 5.4-rc8, support for the phy used on these boards was merged.
Which means we can now use a vanilla Linux kernel. I've spent a bit of time
putting together a script that will build out a root filesystem for use in
either the Single Shot or Double Shot boards. This is largely based on the
instructions provided at
https://wiki.alpinelinux.org/wiki/DIY_Fully_working_Alpine_Linux_for_Allwinner_and_Other_ARM_SOCs,
which have been incredibly helpful.

This is all pretty rough at this point -- I'd call it "functional", not
"complete". I'm pretty new to arm, haven't worked with u-boot before, and
have only ever used Alpine as it is distributed. Comments and feedback are
welcome -- hopefully this helps out someone else!

https://github.com/mutemule/alpine-macchiatobin